DateTime::Format::Natural::Duration(3pm)

NAME
DateTime::Format::Natural::Duration - Duration hooks and state handling

SYNOPSIS
 Please see the DateTime::Format::Natural documentation.

DESCRIPTION
The "DateTime::Format::Natural::Duration" class contains code to alter tokens before parsing and to insert DateTime objects in the resulting queue. Furthermore, there's code to save the state of the first failing parse and restore it after the duration has been processed.

SEE ALSO
DateTime::Format::Natural

AUTHOR
Steven Schubiger <schubiger@cpan.org>

LICENSE
This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

See <http://dev.perl.org/licenses/>